'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.keepSortByKey = exports.getFirstEntity = exports.nullifyIfIncludes = exports.capitalizeFirstLetter = undefined;

var _map = require('lodash/map');

var _map2 = _interopRequireDefault(_map);

var _sortBy = require('lodash/sortBy');

var _sortBy2 = _interopRequireDefault(_sortBy);

var _indexOf = require('lodash/indexOf');

var _indexOf2 = _interopRequireDefault(_indexOf);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var capitalizeFirstLetter = exports.capitalizeFirstLetter = function capitalizeFirstLetter(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
};

var nullifyIfIncludes = exports.nullifyIfIncludes = function nullifyIfIncludes(ids, value) {
  return (0, _indexOf2.default)(ids, value) !== -1 ? null : value;
};

var getFirstEntity = exports.getFirstEntity = function getFirstEntity(entities) {
  var entityId = Object.keys(entities)[0];
  return entities[entityId];
};

var keepSortByKey = exports.keepSortByKey = function keepSortByKey(meta, data, key) {
  var endpoint = getFirstEntity(meta);
  var idsOrder = (0, _map2.default)(endpoint.data, key);
  return (0, _sortBy2.default)(data, function (item) {
    return idsOrder.indexOf(item.id);
  });
};